parse.hpp File Reference
`#include "msgpack/unpack_decl.hpp"`
`#include "msgpack/v2/create_object_visitor.hpp"`

Go to the source code of this file.

## Classes

class | msgpack::detail::context< VisitorHolder >
struct | msgpack::detail::context< VisitorHolder >::unpack_stack::stack_elem
class | msgpack::parser< VisitorHolder, ReferencedBufferHook >
| Parsing class for a stream deserialization. More...
struct | msgpack::detail::parse_helper< Visitor >

## Namespaces

| msgpack
| msgpack::detail

## Functions

template<std::size_t N>
void | msgpack::detail::check_ext_size (std::size_t)
template<>
void | msgpack::detail::check_ext_size< 4 > (std::size_t size)
template<typename Visitor >
bool | msgpack::parse (const char *data, size_t len, size_t &off, Visitor &v)
| Unpack msgpack formatted data via a visitor. More...
template<typename Visitor >
bool | msgpack::parse (const char *data, size_t len, Visitor &v)
| Unpack msgpack formatted data via a visitor. More...
template<typename Visitor >
parse_return | msgpack::detail::parse_imp (const char *data, size_t len, size_t &off, Visitor &v)